{+--------------------------------------------------------------------------+
 |  DrawBox (x1,y1,x2,y2) :  draws a box on the screen.  x1, y1 denote the  |
 |                           upper left corner, and x2,y2 the lower right.  |
 |  D. Bowen                                                                |
 |  Nov. 23, 1986                                                           |
 +--------------------------------------------------------------------------+}
procedure DrawBox( x1, y1, x2, y2 : byte );
   const
      TRC : char = #191;    { Top Right Corner    }
      TLC : char = #218;    { Top Left Corner     }
      BRC : char = #217;    { Bottom Left Corner  }
      BLC : char = #192;    { Bottom Right Corner }
      HLN : char = #196;    { Horizontal LiNe     }
      VLN : char = #179;    { Vertical LiNe       }
   var
      loop   : integer;
      TmpStr : string[80];
   begin
   if (x2-x1 in [1..80]) and (y2-y1 in [1..24]) then
      begin
      FillChar(TmpStr[1],pred(x2-x1),HLN);
      TmpStr[0] := chr(pred(x2-x1));
      gotoxy(x1,y1);
      write(TLC,TmpStr,TRC);
      for loop := succ(y1) to pred(y2) do
         begin
         gotoxy(x1,loop); write(VLN);
         gotoxy(x2,loop); write(VLN);
         end;
      gotoxy(x1,y2);
      write(BLC,TmpStr,BRC);
      end;
   end;  { Draw Box }