{+------------------------------------------------------------------------+
 |  Select:  this procedure writes a prompt to the screen, accepts a      |
 |           single key from a specified list, and returns that key.      |
 |  D. Bowen                                                              |
 |  Nov. 19, 1986                                                         |
 +------------------------------------------------------------------------+}
procedure Select(       x, y : integer;    { position of prompt on screen  }
                      Prompt : Str80;      { prompt string                 }
                      Term   : CharSet;    { characters that allow exit    }
                  var KeyCh  : Char    );  { return char that allowed exit }
   begin
   gotoxy(x,y);
   ClrEOL;
   Write(Prompt);
   repeat  until (upcase(GetCh(KeyCh)) in Term);
   KeyCh := upcase(KeyCh);
   end; { Select }