{+------------------------------------------------------------------+
 |   MaxDays:  returns a number = the maximum number of days in a   |
 |             given month (M).                                     |
 |   D. Bowen                                                       |
 |   May 6, 1986                                                    |
 +------------------------------------------------------------------+}
function MaxDays( Month : byte; Year : integer ) : byte;
   begin
   case Month of
      1,3,5,7,8,10,12 : MaxDays := 31;
      4,6,9,11        : MaxDays := 30;
      2               : begin
                        MaxDays := 28;
                        if (Year/4.0 = int(Year/4.0)) then
                           begin
                           MaxDays := 29;
                           if not (Year/400.0 = int(Year/400.0)) and
                                  (Year/100.0 = int(Year/100.0)) then
                              MaxDays := 28;
                           end;
                        end;
      end; { case }
   end; { max days }