type
   RegRec = record           { 8088 CPU registers type definition }
               case boolean of
               TRUE  : (AX,BX,CX,DX,BP,SI,DI,DS,ES, FLAGS : integer );
               FALSE : (AL, AH, BL, BH, CL, CH, DL, DH    : byte    );
            end; { Reg Rec }

var
   Regs : RegRec;

begin
FillChar(Regs,SizeOf(Regs),0);
write('press any key >');
Intr($16,Regs);
writeln;
writeln('Scan code : AX = ',Regs.AX);
writeln('            AH = ',Regs.AH);
writeln('            AL = ',Regs.AL);
end.