{+-----------------------------------------------------------------------+
 |  SetDate:  sets the MSDOS system date to the three parameters this    |
 |            procedure accepts: month, day, & year.  These parameters   |
 |            can be passed as variables containing data or literals.    |
 |                 This procedure is MSDOS 2.1 specific and will only    |
 |  D. Bowen  work with computers supporting this operating system and   |
 |  6/11/86   the 8088 CPU registers.                                    |
 +-----------------------------------------------------------------------+}
procedure SetDate( Month, Day : byte; Year : integer );
   var
      Register : RegRec;  { 8088 cpu register type }
   begin
   if (Year > 2099) or (Year < 1980) then
      Year := 1980;
   with Register do
      begin
      AH := 43;   { function request set system date }
      CX := Year;
      DH := Month; 
      DL := Day;
      end;
   MSDOS(Register);
   end; { Set Date }